Error when trying to edit topic title in new tab / noJS mode
Closed, ResolvedPublic

Description

If I go to https://www.mediawiki.org/wiki/Talk:Sandbox , go to the dropdown menu for a topic title and middle-click the "Edit title" option, I'm taken to https://www.mediawiki.org/w/index.php?title=Topic:Si8ubus828h1e5uv&action=edit-title&topic_revId=si8ubusx07fet5bb , which throws an error.

The full error message (when I try this on localhost) is:

[dc28231e] /w/index.php?title=Topic:Sgpdgp0uwnr8bxq3&action=edit-title&topic_revId=sgpdj3jtpicj35vf Flow\Exception\InvalidInputException from line 178 of /home/catrope/git/mediawiki/extensions/Flow/includes/Model/UUID.php: Unknown input to UUID class

Backtrace:

#0 /home/catrope/git/mediawiki/extensions/Flow/includes/Block/Topic.php(667): Flow\Model\UUID::create(string)
#1 /home/catrope/git/mediawiki/extensions/Flow/includes/Block/Topic.php(555): Flow\Block\TopicBlock->renderPostApi(array)
#2 /home/catrope/git/mediawiki/extensions/Flow/includes/View.php(177): Flow\Block\TopicBlock->renderApi(array)
#3 /home/catrope/git/mediawiki/extensions/Flow/includes/View.php(70): Flow\View->buildApiResponse(Flow\WorkflowLoader, array, string, array)
#4 /home/catrope/git/mediawiki/extensions/Flow/includes/Actions/Action.php(101): Flow\View->show(Flow\WorkflowLoader, string)
#5 /home/catrope/git/mediawiki/extensions/Flow/includes/Actions/Action.php(46): Flow\Actions\FlowAction->showForAction(string)
#6 /home/catrope/git/mediawiki/core/includes/MediaWiki.php(413): Flow\Actions\FlowAction->show()
#7 /home/catrope/git/mediawiki/core/includes/MediaWiki.php(291): MediaWiki->performAction(Article, Title)
#8 /home/catrope/git/mediawiki/core/includes/MediaWiki.php(603): MediaWiki->performRequest()
#9 /home/catrope/git/mediawiki/core/includes/MediaWiki.php(431): MediaWiki->main()
#10 /home/catrope/git/mediawiki/core/index.php(41): MediaWiki->run()
#11 {main}
Catrope created this task.May 29 2015, 9:45 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Needs Triage.
Catrope added a project: StructuredDiscussions.
Catrope added a subscriber: Catrope.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 29 2015, 9:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyH triaged this task as Normal priority.Jun 2 2015, 4:59 PM
DannyH added a subscriber: DannyH.
Mattflaschen-WMF raised the priority of this task from Normal to High.Nov 12 2015, 7:11 PM
SBisson set Security to None.
SBisson claimed this task.

Change 260006 had a related patch set uploaded (by Sbisson):
[WIP] Various fixes to edit-title

https://gerrit.wikimedia.org/r/260006

Change 260006 merged by jenkins-bot:
Various fixes to edit-title

https://gerrit.wikimedia.org/r/260006

Checked in betalabs - opening 'Edit title' in a new Tab/Window does not display any Console errors.

Catrope closed this task as Resolved.Jan 19 2016, 2:38 AM